Subject: Re: bug#67304: Build python-cdflib.x86_64-linux on master is broken.

From: Sharlatan Hellseher <[email-masked]>
Date: Mon, 20 Nov 2023 22:56:29 +0000

Hi,

I've open an issue in upstram.
Mean while please check the patch disabling the test.

Thanks,
Oleg

On Mon, 20 Nov 2023 at 22:39, Sharlatan Hellseher <[email-masked]> wrote:
>
> Hi Guix,
>
> I've checked the cement to the test and it mentioned as a candidate to be
> removed as it's not stable
>
> https://github.com/MAVENSDC/cdflib/blob/master/tests/test_astropy_epochs.py#L116
>         # Unfortunately, currently there is a pretty big loss of
> precision that comes with
>         # the compute function.  Need to stop testing early.
>
> We may consider to disable it to stabilize build.
>
> Thanks,
> Oleg
>
> On Mon, 20 Nov 2023 at 19:25, Eric Bavier <[email-masked]> wrote:
> >
> > Hi Maxim, thanks for the report.
> >
> > On Mon, 2023-11-20 at 14:02 -0500, Maxim Cournoyer wrote:
> > >
> > > It seems something in the commits series
> > > https://git.savannah.gnu.org/cgit/guix.git/log/?qt=range&q=2ab5e449246f98b049888dde3c310f5b4a0a64a2..b7abea0fd6a146563830db1dc4ddd0cceb6fcf1c
> > > either broke the test, else it's flaky.
> > >
> >
> > I have built the package locally many times without fail.
> >
> > The failed test is one that checks fidelity of a rountrip time format
> > conversion for a randomly-generated time, so failure may indeed be
> > intermittent.
> >
> > I will try to dig a bit further, and maybe Sharlatan can as well.
> >
> > `~Eric
>
>
>
> --
>
> … наш разум - превосходная объяснительная машина которая способна
> найти смысл почти в чем угодно, истолковать любой феномен, но
> совершенно не в состоянии принять мысль о непредсказуемости.

-- 

… наш разум - превосходная объяснительная машина которая способна
найти смысл почти в чем угодно, истолковать любой феномен, но
совершенно не в состоянии принять мысль о непредсказуемости.
From 2f55a5ac236952ea24d81998da488cff4553c272 Mon Sep 17 00:00:00 2001
Message-ID: <2f5[email-masked]>
From: Sharlatan Hellseher <[email-masked]>
Date: Mon, 20 Nov 2023 22:52:52 +0000
Subject: [PATCH] gnu: python-cdflib: Disable shaky test.

* gnu/packages/astronomy.scm (python-cdflib): Disable one test which
causing random build failure.
[arguments]{test-flags}: Add it.

Change-Id: I05ee2feca3bc0f0139fa1a5f00b4fe260b42ec80
---
 gnu/packages/astronomy.scm | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/astronomy.scm b/gnu/packages/astronomy.scm
index c063285b52..da15283ef3 100644
--- a/gnu/packages/astronomy.scm
+++ b/gnu/packages/astronomy.scm
@@ -1807,7 +1807,10 @@ (define-public python-cdflib
         (base32 "0vpgcbc9pmx0qqfia1frnwq3jkgfp8y3ikqdnzs5bs1sr13p9p3w"))))
     (build-system pyproject-build-system)
     (arguments
-     (list #:phases
+     ;; Disable shaky test.
+     ;; See https://github.com/MAVENSDC/cdflib/issues/234
+     (list #:test-flags #~(list "-k" "not test_compute_cdfepoch16")
+           #:phases
            #~(modify-phases %standard-phases
                (add-before 'build 'set-env-version
                  (lambda _

base-commit: d20ece07dbb09382f361c8bbf0bcab9e83d8b73e
-- 
2.41.0